resources:
    App\Entity\CommandTaskScript:
        processor: App\State\Processor\CommandTaskScriptProcessor
        input: App\Dto\Input\CommandTaskScriptInput
        output: App\Dto\Output\CommandTaskScriptOutput
        normalizationContext:
            groups: ['default', 'command-task-script:read']
        denormalizationContext:
            groups: ['command-task-script:write']
        operations:
            ApiPlatform\Metadata\GetCollection:
                provider: App\State\Provider\CommandTaskScriptProvider
                filters:
                    - 'api_platform.filter.command_task_script.order'
                    - 'api_platform.filter.command_task_script.search'
                    - 'api_platform.filter.command_task_script.boolean'

            ApiPlatform\Metadata\Get:
                provider: App\State\Provider\CommandTaskScriptProvider
            ApiPlatform\Metadata\Put:
                provider: App\State\Provider\CommandTaskScriptProvider
            ApiPlatform\Metadata\Patch:
                provider: App\State\Provider\CommandTaskScriptProvider
            ApiPlatform\Metadata\Post: ~
            ApiPlatform\Metadata\Delete: ~

properties:
    App\Entity\CommandTaskScript:
        id:
            identifier: false
        uuid:
            identifier: true